summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRobert Gerus <arachnist@i.am-a.cat>2015-05-04 00:54:05 +0200
committerRobert Gerus <arachnist@i.am-a.cat>2015-05-04 00:54:05 +0200
commit39cc7ed0efb98cf6feafaf01f6b680f1df8f0496 (patch)
tree80f19daa437a2fdd610db8cb41b1ebc6c1837b3d
parentfac289f86739d5a6cb24ec0846cf1824cda7d626 (diff)
downloadgentoo-overlay-39cc7ed0efb98cf6feafaf01f6b680f1df8f0496.tar.gz
gentoo-overlay-39cc7ed0efb98cf6feafaf01f6b680f1df8f0496.tar.bz2
gentoo-overlay-39cc7ed0efb98cf6feafaf01f6b680f1df8f0496.tar.xz
gentoo-overlay-39cc7ed0efb98cf6feafaf01f6b680f1df8f0496.zip
Import app-shells/zsh and fix for building with gcc-5.1
-rw-r--r--app-shells/zsh/Manifest9
-rw-r--r--app-shells/zsh/files/prompt_gentoo_setup-133
-rw-r--r--app-shells/zsh/files/zprofile-143
-rw-r--r--app-shells/zsh/files/zsh-5.0.7-fix-cvs-completion.patch19
-rw-r--r--app-shells/zsh/files/zsh-5.0.7-pid-ns.patch39
-rw-r--r--app-shells/zsh/files/zsh-gcc5.patch24
-rw-r--r--app-shells/zsh/files/zsh-init.d-gentoo-r1.diff30
-rw-r--r--app-shells/zsh/zsh-5.0.7-r2.ebuild175
-rw-r--r--profiles/categories1
9 files changed, 373 insertions, 0 deletions
diff --git a/app-shells/zsh/Manifest b/app-shells/zsh/Manifest
new file mode 100644
index 0000000..f6be0ee
--- /dev/null
+++ b/app-shells/zsh/Manifest
@@ -0,0 +1,9 @@
+AUX prompt_gentoo_setup-1 820 SHA256 818aede5695c1406bd2e720ab114bef13d373e48ee5a1f2cda7d36a9c26e30e1 SHA512 262ad91d7536c11c3b1db176217e9a9bf21df5d25d72ddfc7dece6eafceb74a252212939c8cbe5bee1ccc0e25fc4e6e906660877747f5224e862d4d22d1200a0 WHIRLPOOL 228d48c52ad48e97bb6e83e2a8c9970c49d7c10f61d9fe597ed7882a07aff5ab68d6997e81ae23b1588589c0ab3e19f452b791dda0ab9f3213ac0b751a8e82c2
+AUX zprofile-1 1767 SHA256 947d4dc9357dac9a1a16ebc7404e686d1a3b31fb1dfed9c3e3eb806d93ccfff8 SHA512 b91712ecb491ae01c58d30b1791257cf2714523dc956d2f59a6875c390157f0492644d0bc00323b84a130e6c0fd73a6f4bd06c38707f31abbe156a2c950a7cd7 WHIRLPOOL 22820e886b459596c8c3149f77d72dfe56ca8a08d134e4c0a96f0b74ea04190d10a38f46bd009f7cf09a606a7b1cbddee9ea4800d382ccaadb96ff11e14f8e39
+AUX zsh-5.0.7-fix-cvs-completion.patch 557 SHA256 35405c1d39da5274f0f0b0be5b9b6f95856687fae3dff61d33f90c3878896270 SHA512 10e5d65d71cf372cc97ff10d9a81db2c000c59f70c2cbc5c518e2bf5efab52e57abc0298bd628606e94c856f0801c5d0ce41da7d18a542b2019aa2011b59c659 WHIRLPOOL d3bb47333719fdb7de573b09f5f8e43c75c45198bcf1b44a43f5b90d1e806fd79b69c5825cf76db064d70392ce4775c91e99aca66f74d3682f593695964b55dd
+AUX zsh-5.0.7-pid-ns.patch 1265 SHA256 cd77b9eb62e088e59d0dac5594e28bc3c3fd15bffefa39b2ee92db57614d9575 SHA512 10b3baa00e716a6502d22e8e41f1f403567d72b519e84616f70c111f323b01bc4956e31418c77473a03f6aac042b2351164f424fdfa3ad61cb12208d967ddea4 WHIRLPOOL 53137ce96cf265e6bdc3d9f9297e66511985c2b998759e9fcba896a544d2d19fedce324c26e46874c953bf0fed887d711b5a0bb76de12159d5c0624b1ed0cc0b
+AUX zsh-gcc5.patch 978 SHA256 117c35c8c7124ab8f36981c37ca02db3e23997b31138e4700479a64645a09d65 SHA512 dbede98d41bf8ab5e65738246c0353c3f938d695f9135729375bd6e994f046b6243ef3065bc573f6574ad913b41c8da1d8d9882d1901db5a667a4c2806140d0e WHIRLPOOL 82b360f946a6714f041e26c5625d9e7dba2921db7eea626695578e8ff288ed61e800ac98cbc8c01876add0ad4542a63d80957ace7acebd4cf0f8e744b5ca2521
+AUX zsh-init.d-gentoo-r1.diff 987 SHA256 2fd1981c9a230c624250d6056aaeb65bc57df8d082abf42f4060260a1c8663f6 SHA512 56ed616177c0167d1819d9749539c035907f4524a3e145b152ca7ac6236c96f0110eb23479794f35fbf86c9ea72286ab832f1a9e3e658b676353bc78e1b06a38 WHIRLPOOL 9680ac95c216d42774f6ebe5f3b28574110e82560c71b0a3dcd4d8ab90f746b3515b0119dda74038b89c457b1d9274e9f14f6923c47c7877ca64938bf24b1983
+DIST zsh-5.0.7-doc.tar.bz2 3005587 SHA256 43e8665ba9d9eca8370c64e2d4846e84f9111c628e5792f2aa639a7fb209fcf1 SHA512 5a8bdf00bb646bb844a2d953aed85de802fe2e8fa05a76382d3baeba8a0108fa2d0b137b7d9bf88eeeb77ea06843fe1c56ec1fece1389b502e39a16dd31f208c WHIRLPOOL 0364f134997e4df63e7d6e9b6c81030dcf96ce30bb329b353fccf682ab5e20964d028e6667d836ff1a4c70e27331632cc96c7871ba69afc611c7bbdd09c8508b
+DIST zsh-5.0.7.tar.bz2 3181030 SHA256 544e27de81740286b916d1d77c9f48ad7c26ad7943ed96d278abee67cf6704b3 SHA512 e309863b41c9f92996fb9301d96d1aa43270ef8a04626c946703675b16a0a2ac9fddc959184cd8c639bd061fc2dd21902b21515550f639faacccdabd59e256e5 WHIRLPOOL f7cfbc41a2c990f702fee4ee158db79ebaad794479a62ff0ccd1d466077556e93b5e563575f9fd25dde1cb5e3c3610a14c997155ea76d86293d0a08168a3a418
+EBUILD zsh-5.0.7-r2.ebuild 5346 SHA256 ccbf49f720506afaa60a1070ee17bfada09254aca5c46570ea2fe518aaaf6ed6 SHA512 b8a3e7d315a7841e05d9134bd486830c6f9d3b2b7729fbcebbf2c1c519e7fcd3eb2a5549b022044be3ef3927bc18ea24f430b039f5851a1940cbc9525945c014 WHIRLPOOL 49a59160fae77ea4e77f0ba42a08be5f4c2382f3c65b7b86ab3d90322658b0118a03a45f1c9d7bd60a3b950fb666bab481b8fbc06da87a70a27835846ad2de2d
diff --git a/app-shells/zsh/files/prompt_gentoo_setup-1 b/app-shells/zsh/files/prompt_gentoo_setup-1
new file mode 100644
index 0000000..046e2d8
--- /dev/null
+++ b/app-shells/zsh/files/prompt_gentoo_setup-1
@@ -0,0 +1,33 @@
+# gentoo prompt theme
+
+prompt_gentoo_help () {
+ cat <<'EOF'
+This prompt is color-scheme-able. You can invoke it thus:
+
+ prompt gentoo [<promptcolor> [<usercolor> [<rootcolor>]]]
+
+EOF
+}
+
+prompt_gentoo_setup () {
+ local prompt_gentoo_prompt=${1:-'blue'}
+ local prompt_gentoo_user=${2:-'green'}
+ local prompt_gentoo_root=${3:-'red'}
+
+ if [ "$USER" = 'root' ]
+ then
+ local base_prompt="%B%F{$prompt_gentoo_root}%m%k "
+ else
+ local base_prompt="%B%F{$prompt_gentoo_user}%n@%m%k "
+ fi
+ local post_prompt="%b%f%k"
+
+ #setopt noxtrace localoptions
+
+ local path_prompt="%B%F{$prompt_gentoo_prompt}%1~"
+ typeset -g PS1="$base_prompt$path_prompt %# $post_prompt"
+ typeset -g PS2="$base_prompt$path_prompt %_> $post_prompt"
+ typeset -g PS3="$base_prompt$path_prompt ?# $post_prompt"
+}
+
+prompt_gentoo_setup "$@"
diff --git a/app-shells/zsh/files/zprofile-1 b/app-shells/zsh/files/zprofile-1
new file mode 100644
index 0000000..0602c9c
--- /dev/null
+++ b/app-shells/zsh/files/zprofile-1
@@ -0,0 +1,43 @@
+# @GENTOO_PORTAGE_EPREFIX@/etc/zsh/zprofile
+# $Header: /var/cvsroot/gentoo-x86/app-shells/zsh/files/zprofile-1,v 1.1 2010/08/15 12:21:56 tove Exp $
+
+# Load environment settings from profile.env, which is created by
+# env-update from the files in /etc/env.d
+if [ -e "@GENTOO_PORTAGE_EPREFIX@"/etc/profile.env ] ; then
+ . "@GENTOO_PORTAGE_EPREFIX@"/etc/profile.env
+fi
+
+# You should override these in your ~/.zprofile (or equivalent) for per-user
+# settings. For system defaults, you can add a new file in /etc/profile.d/.
+export EDITOR=${EDITOR:-/bin/nano}
+export PAGER=${PAGER:-/usr/bin/less}
+
+# 077 would be more secure, but 022 is generally quite realistic
+umask 022
+
+# Set up PATH depending on whether we're root or a normal user.
+# There's no real reason to exclude sbin paths from the normal user,
+# but it can make tab-completion easier when they aren't in the
+# user's PATH to pollute the executable namespace.
+#
+# It is intentional in the following line to use || instead of -o.
+# This way the evaluation can be short-circuited and calling whoami is
+# avoided.
+if [ "$EUID" = "0" ] || [ "$USER" = "root" ] ; then
+ @ZSH_NOPREFIX@PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:${ROOTPATH}"
+ @ZSH_PREFIX@PATH="@GENTOO_PORTAGE_EPREFIX@/usr/sbin:@GENTOO_PORTAGE_EPREFIX@/usr/bin:@GENTOO_PORTAGE_EPREFIX@/sbin:@GENTOO_PORTAGE_EPREFIX@/bin:${ROOTPATH}:/usr/sbin:/usr/bin:/sbin:/bin"
+else
+ @ZSH_NOPREFIX@PATH="/usr/local/bin:/usr/bin:/bin:${PATH}"
+ @ZSH_PREFIX@PATH="@GENTOO_PORTAGE_EPREFIX@/usr/bin:@GENTOO_PORTAGE_EPREFIX@/bin:${PATH}:/usr/bin:/bin"
+fi
+export PATH
+unset ROOTPATH
+
+shopts=$-
+setopt nullglob
+for sh in "@GENTOO_PORTAGE_EPREFIX@"/etc/profile.d/*.sh ; do
+ [ -r "$sh" ] && . "$sh"
+done
+unsetopt nullglob
+set -$shopts
+unset sh shopts
diff --git a/app-shells/zsh/files/zsh-5.0.7-fix-cvs-completion.patch b/app-shells/zsh/files/zsh-5.0.7-fix-cvs-completion.patch
new file mode 100644
index 0000000..5beb7ec
--- /dev/null
+++ b/app-shells/zsh/files/zsh-5.0.7-fix-cvs-completion.patch
@@ -0,0 +1,19 @@
+http://www.zsh.org/mla/workers/2014/msg01191.html
+
+diff --git a/Completion/Base/Utility/_call_program b/Completion/Base/Utility/_call_program
+index b657648..010e094 100644
+--- a/Completion/Base/Utility/_call_program
++++ b/Completion/Base/Utility/_call_program
+@@ -2,8 +2,8 @@
+
+ local tmp err_fd=-1
+
+-if (( ${debug_fd:--1} > 2 ))
+-then exec {err_fd}>&2 # debug_fd is saved stderr, 2 is log file
++if (( ${debug_fd:--1} > 2 )) || [[ ! -t 2 ]]
++then exec {err_fd}>&2 # debug_fd is saved stderr, 2 is trace or redirect
+ else exec {err_fd}>/dev/null
+ fi
+
+
+--
diff --git a/app-shells/zsh/files/zsh-5.0.7-pid-ns.patch b/app-shells/zsh/files/zsh-5.0.7-pid-ns.patch
new file mode 100644
index 0000000..928ce48
--- /dev/null
+++ b/app-shells/zsh/files/zsh-5.0.7-pid-ns.patch
@@ -0,0 +1,39 @@
+zsh and pid namespaces don't play very well together. Specifically, when zsh is
+launched inside a new pid namespace, it doesn't take ownership of the process
+group, causing things like SIGINT to be sent to the parent process. Upstream
+bug report here: http://www.zsh.org/mla/workers/2014/msg01769.html.
+
+The first chunk of this diff fixes this problem and has already been applied
+upstream:
+http://sourceforge.net/p/zsh/code/ci/0c4cb0cc1b527f4341f1a39a10f4120aa7c7d594/.
+
+The second chunk is a suggested fix for the warning that zsh prints when
+exiting: http://www.zsh.org/mla/workers/2014/msg01779.html.
+
+diff --git a/Src/jobs.c b/Src/jobs.c
+index a668b07..c6e1bce 100644
+--- a/Src/jobs.c
++++ b/Src/jobs.c
+@@ -2734,7 +2734,7 @@ acquire_pgrp(void)
+ long ttpgrp;
+ sigset_t blockset, oldset;
+
+- if ((mypgrp = GETPGRP()) > 0) {
++ if ((mypgrp = GETPGRP()) >= 0) {
+ long lastpgrp = mypgrp;
+ sigemptyset(&blockset);
+ sigaddset(&blockset, SIGTTIN);
+@@ -2779,8 +2779,11 @@ void
+ release_pgrp(void)
+ {
+ if (origpgrp != mypgrp) {
+- attachtty(origpgrp);
+- setpgrp(0, origpgrp);
++ /* in linux pid namespaces, origpgrp may never have been set */
++ if (origpgrp) {
++ attachtty(origpgrp);
++ setpgrp(0, origpgrp);
++ }
+ mypgrp = origpgrp;
+ }
+ }
diff --git a/app-shells/zsh/files/zsh-gcc5.patch b/app-shells/zsh/files/zsh-gcc5.patch
new file mode 100644
index 0000000..3070d85
--- /dev/null
+++ b/app-shells/zsh/files/zsh-gcc5.patch
@@ -0,0 +1,24 @@
+diff -Naur zsh-5.0.7-orig/Src/Modules/system.mdd zsh-5.0.7/Src/Modules/system.mdd
+--- zsh-5.0.7-orig/Src/Modules/system.mdd 2015-04-27 19:50:02.697158025 -0700
++++ zsh-5.0.7/Src/Modules/system.mdd 2015-04-27 19:50:59.650493056 -0700
+@@ -15,7 +15,7 @@
+ touch errtmp.out; \
+ else \
+ $(AWK) -f $(sdir)/errnames1.awk @ERRNO_H@ >errtmp.c; \
+- $(CPP) errtmp.c >errtmp.out; \
++ $(CPP) -P errtmp.c >errtmp.out; \
+ fi
+ $(AWK) -f $(sdir)/errnames2.awk errtmp.out > $@
+ rm -f errtmp.c errtmp.out
+diff -Naur zsh-5.0.7-orig/Src/zsh.mdd zsh-5.0.7/Src/zsh.mdd
+--- zsh-5.0.7-orig/Src/zsh.mdd 2015-04-27 19:50:02.680491357 -0700
++++ zsh-5.0.7/Src/zsh.mdd 2015-04-27 19:50:17.677158471 -0700
+@@ -23,7 +23,7 @@
+
+ signames.c: signames1.awk signames2.awk ../config.h @SIGNAL_H@
+ $(AWK) -f $(sdir)/signames1.awk @SIGNAL_H@ >sigtmp.c
+- $(CPP) sigtmp.c >sigtmp.out
++ $(CPP) -P sigtmp.c >sigtmp.out
+ $(AWK) -f $(sdir)/signames2.awk sigtmp.out > $@
+ rm -f sigtmp.c sigtmp.out
+
diff --git a/app-shells/zsh/files/zsh-init.d-gentoo-r1.diff b/app-shells/zsh/files/zsh-init.d-gentoo-r1.diff
new file mode 100644
index 0000000..9597a73
--- /dev/null
+++ b/app-shells/zsh/files/zsh-init.d-gentoo-r1.diff
@@ -0,0 +1,30 @@
+--- zsh-4.3.11/Completion/Unix/Command/_init_d
++++ zsh-4.3.11/Completion/Unix/Command/_init_d
+@@ -1,6 +1,6 @@
+ #compdef -p */(init|rc[0-9S]#).d/*
+
+-local cmds script
++local cmds script opts
+
+ _compskip=all
+
+@@ -83,10 +83,17 @@
+
+ script=$words[1]
+ [[ $script = */* ]] || script="$(_init_d_fullpath "$script")"
++[[ ! -f $script ]] &&
++ { _message "${words[1]:t} is not an init script" && return }
+
+ cmds=( $(_init_d_get_cmds) ) || return
+
+-(( $#cmds )) || zstyle -a ":completion:${curcontext}:commands" commands cmds ||
+- cmds=(start stop)
++(( $#cmds )) || zstyle -a ":completion:${curcontext}:commands" commands cmds
++opts=(start stop restart pause zap status ineed iuse needsme usesme broken)
++
++# If we didn't get $cmds from a zstyle, then read init script for opts.
++# If script doesn't specify opts, then default to the standard opts.
++(( $#cmds )) || cmds=( ${(eQz)${(M)${(f)"$( <$script)"}:#[[:blank:]]#opts=*}#*=} )
++(( $#cmds )) || cmds=($opts)
+
+ _sub_commands $cmds
diff --git a/app-shells/zsh/zsh-5.0.7-r2.ebuild b/app-shells/zsh/zsh-5.0.7-r2.ebuild
new file mode 100644
index 0000000..8a45f0f
--- /dev/null
+++ b/app-shells/zsh/zsh-5.0.7-r2.ebuild
@@ -0,0 +1,175 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-shells/zsh/zsh-5.0.7-r2.ebuild,v 1.1 2014/12/31 08:06:48 vapier Exp $
+
+EAPI=5
+
+inherit eutils flag-o-matic multilib prefix
+
+DESCRIPTION="UNIX Shell similar to the Korn shell"
+HOMEPAGE="http://www.zsh.org/"
+SRC_URI="http://www.zsh.org/pub/${P}.tar.bz2
+ doc? ( http://www.zsh.org/pub/${P}-doc.tar.bz2 )"
+
+LICENSE="ZSH gdbm? ( GPL-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="caps debug doc examples gdbm maildir pcre static unicode"
+
+RDEPEND="
+ >=sys-libs/ncurses-5.1
+ static? ( >=sys-libs/ncurses-5.7-r4[static-libs] )
+ caps? ( sys-libs/libcap )
+ pcre? ( >=dev-libs/libpcre-3.9
+ static? ( >=dev-libs/libpcre-3.9[static-libs] ) )
+ gdbm? ( sys-libs/gdbm )
+"
+DEPEND="sys-apps/groff
+ ${RDEPEND}"
+PDEPEND="
+ examples? ( app-doc/zsh-lovers )
+"
+
+src_prepare() {
+ # fix zshall problem with soelim
+ ln -s Doc man1
+ mv Doc/zshall.1 Doc/zshall.1.soelim
+ soelim Doc/zshall.1.soelim > Doc/zshall.1
+
+ epatch "${FILESDIR}"/${PN}-init.d-gentoo-r1.diff
+ epatch "${FILESDIR}"/${P}-pid-ns.patch
+ epatch "${FILESDIR}"/${PN}-gcc5.patch
+
+ cp "${FILESDIR}"/zprofile-1 "${T}"/zprofile || die
+ eprefixify "${T}"/zprofile || die
+ if use prefix ; then
+ sed -i -e 's|@ZSH_PREFIX@||' -e '/@ZSH_NOPREFIX@/d' "${T}"/zprofile || die
+ else
+ sed -i -e 's|@ZSH_NOPREFIX@||' -e '/@ZSH_PREFIX@/d' -e 's|""||' "${T}"/zprofile || die
+ fi
+
+ # fix cvs completion
+ epatch "${FILESDIR}"/${P}-fix-cvs-completion.patch
+}
+
+src_configure() {
+ local myconf=
+
+ if use static ; then
+ myconf+=" --disable-dynamic"
+ append-ldflags -static
+ fi
+ if use debug ; then
+ myconf+=" \
+ --enable-zsh-debug \
+ --enable-zsh-mem-debug \
+ --enable-zsh-mem-warning \
+ --enable-zsh-secure-free \
+ --enable-zsh-hash-debug"
+ fi
+
+ if [[ ${CHOST} == *-darwin* ]]; then
+ myconf+=" --enable-libs=-liconv"
+ append-ldflags -Wl,-x
+ fi
+
+ econf \
+ --bindir="${EPREFIX}"/bin \
+ --libdir="${EPREFIX}"/usr/$(get_libdir) \
+ --enable-etcdir="${EPREFIX}"/etc/zsh \
+ --enable-runhelpdir="${EPREFIX}"/usr/share/zsh/${PV%_*}/help \
+ --enable-fndir="${EPREFIX}"/usr/share/zsh/${PV%_*}/functions \
+ --enable-site-fndir="${EPREFIX}"/usr/share/zsh/site-functions \
+ --enable-function-subdirs \
+ --with-tcsetpgrp \
+ $(use_enable maildir maildir-support) \
+ $(use_enable pcre) \
+ $(use_enable caps cap) \
+ $(use_enable unicode multibyte) \
+ $(use_enable gdbm ) \
+ ${myconf}
+
+ if use static ; then
+ # compile all modules statically, see Bug #27392
+ # removed cap and curses because linking failes
+ sed -i \
+ -e "s,link=no,link=static,g" \
+ -e "/^name=zsh\/cap/s,link=static,link=no," \
+ -e "/^name=zsh\/curses/s,link=static,link=no," \
+ "${S}"/config.modules || die
+ if ! use gdbm ; then
+ sed -i '/^name=zsh\/db\/gdbm/s,link=static,link=no,' \
+ "${S}"/config.modules || die
+ fi
+ fi
+}
+
+src_test() {
+ addpredict /dev/ptmx
+ local i
+ for i in C02cond.ztst V08zpty.ztst X02zlevi.ztst Y01completion.ztst Y02compmatch.ztst Y03arguments.ztst ; do
+ rm "${S}"/Test/${i} || die
+ done
+ emake check
+}
+
+src_install() {
+ emake DESTDIR="${D}" install install.info
+
+ insinto /etc/zsh
+ doins "${T}"/zprofile
+
+ keepdir /usr/share/zsh/site-functions
+ insinto /usr/share/zsh/${PV%_*}/functions/Prompts
+ newins "${FILESDIR}"/prompt_gentoo_setup-1 prompt_gentoo_setup
+
+ # install miscellaneous scripts; bug #54520
+ local i
+ sed -i -e "s:/usr/local/bin/perl:${EPREFIX}/usr/bin/perl:g" \
+ -e "s:/usr/local/bin/zsh:${EPREFIX}/bin/zsh:g" "${S}"/{Util,Misc}/* || die
+ for i in Util Misc ; do
+ insinto /usr/share/zsh/${PV%_*}/${i}
+ doins ${i}/*
+ done
+
+ dodoc ChangeLog* META-FAQ NEWS README config.modules
+
+ if use doc ; then
+ pushd "${WORKDIR}/${PN}-${PV%_*}" >/dev/null
+ dohtml -r Doc/*
+ insinto /usr/share/doc/${PF}
+ doins Doc/zsh.{dvi,pdf}
+ popd >/dev/null
+ fi
+
+ docinto StartupFiles
+ dodoc StartupFiles/z*
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]] ; then
+ # should link to http://www.gentoo.org/doc/en/zsh.xml
+ echo
+ elog "If you want to enable Portage completions and Gentoo prompt,"
+ elog "emerge app-shells/gentoo-zsh-completions and add"
+ elog " autoload -U compinit promptinit"
+ elog " compinit"
+ elog " promptinit; prompt gentoo"
+ elog "to your ~/.zshrc"
+ echo
+ elog "Also, if you want to enable cache for the completions, add"
+ elog " zstyle ':completion::complete:*' use-cache 1"
+ elog "to your ~/.zshrc"
+ echo
+ elog "Note that a system zprofile startup file is installed. This will override"
+ elog "PATH and possibly other variables that a user may set in ~/.zshenv."
+ elog "Custom PATH settings and similar overridden variables can be moved to ~/.zprofile"
+ elog "or other user startup files that are sourced after the system zprofile."
+ echo
+ elog "If PATH must be set in ~/.zshenv to affect things like non-login ssh shells,"
+ elog "one method is to use a separate path-setting file that is conditionally sourced"
+ elog "in ~/.zshenv and also sourced from ~/.zprofile. For more information, see the"
+ elog "zshenv example in ${EROOT}/usr/share/doc/${PF}/StartupFiles/."
+ echo
+ fi
+}
diff --git a/profiles/categories b/profiles/categories
index b8d11e4..6fe1dcc 100644
--- a/profiles/categories
+++ b/profiles/categories
@@ -1,3 +1,4 @@
+app-shells
dev-libs
dev-ruby
dev-util